Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.parser
Class Event

    java.lang.Object
      com.stc.hl7.parser.Event

    public class Event

extends java.lang.Object

An object that represents an HL7 Event

Version:
  $Revision: 1.5 $
Author:
  Julie Knight

Constructor Summary
`Event()` Constructs an empty Event

Method Summary
`void` | `addNode(NodeDesc node)` Adds a node to a list of event nodes
`java.lang.String` | `getDescription()` Gets the description of the event
`java.lang.String` | `getMsgStruct()` Gets the message structure of this reference node
`java.lang.String` | `getMsgType()` Gets the type of this reference node
`java.lang.String` | `getName()` Gets the name of this reference node
`NodeDescList` | `getNodes()` Gets a list of event nodes
`java.lang.String` | `getOTDName()` Gets the OTD name of this reference node
`HL7Version` | `getVersion()` Gets the version of the event
`void` | `setDescription(java.lang.String desc)` Sets the description of the event
`void` | `setMsgStruct(java.lang.String struct)` Sets the message structure of this reference node
`void` | `setMsgType(java.lang.String type)` Sets the type of this reference node
`void` | `setName(java.lang.String name)` Sets the name of this reference node
`void` | `setOTDName(java.lang.String otdname)` Sets the OTD name of this reference node
`void` | `setVersion(HL7Version ver)` Sets the version of the event

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Event

    public Event()

  Constructs an empty Event

Method Detail

### setName

    public void setName(java.lang.String name)

  Sets the name of this reference node

  Parameters:
    `name` - Event name

### getName

    public java.lang.String getName()

  Gets the name of this reference node

  Returns:
    Event name

### setOTDName

    public void setOTDName(java.lang.String otdname)

  Sets the OTD name of this reference node

  Parameters:
    `otdname` - Event OTD name

### getOTDName

    public java.lang.String getOTDName()

  Gets the OTD name of this reference node

  Returns:
    Event OTD name

### setMsgStruct

    public void setMsgStruct(java.lang.String struct)

  Sets the message structure of this reference node

  Parameters:
    `struct` - Event message structure

### getMsgStruct

    public java.lang.String getMsgStruct()

  Gets the message structure of this reference node

  Returns:
    Event message structure

### setMsgType

    public void setMsgType(java.lang.String type)

  Sets the type of this reference node

  Parameters:
    `type` - Event message type

### getMsgType

    public java.lang.String getMsgType()

  Gets the type of this reference node

  Returns:
    Event message type

### setDescription

    public void setDescription(java.lang.String desc)

  Sets the description of the event

  Parameters:
    `desc` - Event description

### getDescription

    public java.lang.String getDescription()

  Gets the description of the event

  Returns:
    Event description

### setVersion

    public void setVersion(HL7Version ver)

  Sets the version of the event

  Parameters:
    `ver` - Event version

### getVersion

    public HL7Version getVersion()

  Gets the version of the event

  Returns:
    Event version

### addNode

    public void addNode(NodeDesc node)

  Adds a node to a list of event nodes

  Parameters:
    `node` - The node to be added

### getNodes

    public NodeDescList getNodes()

  Gets a list of event nodes

  Returns:
    A list of event nodes

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD